var $AdfDhtmlCommandTrainStopPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlCommandNavigationItemPeer$$, "AdfDhtmlCommandTrainStopPeer");
$goog$exportSymbol$$("AdfDhtmlCommandTrainStopPeer", $AdfDhtmlCommandTrainStopPeer$$);
$AdfDhtmlCommandTrainStopPeer$$.$InitSubclass$ = function $$AdfDhtmlCommandTrainStopPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichCommandNavigationItem.SELECTED);
};
$goog$exportSymbol$$("AdfDhtmlCommandTrainStopPeer.InitSubclass", $AdfDhtmlCommandTrainStopPeer$$.$InitSubclass$);
$AdfDhtmlCommandTrainStopPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlCommandTrainStopPeer$$$$$InitDomElement$$($component$$1023$$, $domElement$$167$$) {
  $AdfDhtmlCommandTrainStopPeer$$.$superclass$.$InitDomElement$.call(this, $component$$1023$$, $domElement$$167$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandTrainStopPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlCommandTrainStopPeer$$.prototype.$InitDomElement$});
$AdfDhtmlCommandTrainStopPeer$$.prototype.$SetLinkAttributes$ = function $$AdfDhtmlCommandTrainStopPeer$$$$$SetLinkAttributes$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandTrainStopPeer.prototype.SetLinkAttributes", {$SetLinkAttributes$:$AdfDhtmlCommandTrainStopPeer$$.prototype.$SetLinkAttributes$});
$AdfDhtmlCommandTrainStopPeer$$.prototype.$GetComponentText$ = function $$AdfDhtmlCommandTrainStopPeer$$$$$GetComponentText$$($component$$1025$$, $domElement$$169$$) {
  var $text$$29_textWrapperElement$$3$$;
  if ($text$$29_textWrapperElement$$3$$ = $AdfDhtmlCommandTrainStopPeer$$.$_isTrain$($component$$1025$$) ? $AdfDomUtils$$.$getDescendentElement$($domElement$$169$$, "a", 1) : $domElement$$169$$) {
    return $text$$29_textWrapperElement$$3$$ = $AdfAgent$$.$AGENT$.$getTextContent$($text$$29_textWrapperElement$$3$$), "" == $text$$29_textWrapperElement$$3$$ ? null : $text$$29_textWrapperElement$$3$$;
  }
  $AdfAssert$$.assert(!1, "Unable to find the element containing the text");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandTrainStopPeer.prototype.GetComponentText", {$GetComponentText$:$AdfDhtmlCommandTrainStopPeer$$.prototype.$GetComponentText$});
$AdfDhtmlCommandTrainStopPeer$$.prototype.$GetComponentSelected$ = function $$AdfDhtmlCommandTrainStopPeer$$$$$GetComponentSelected$$() {
  return this.$_isSelected$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandTrainStopPeer.prototype.GetComponentSelected", {$GetComponentSelected$:$AdfDhtmlCommandTrainStopPeer$$.prototype.$GetComponentSelected$});
$AdfDhtmlCommandTrainStopPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlCommandTrainStopPeer$$$$$HandleComponentClick$$($componentEvent$$183$$) {
  this.$_isSelected$() ? $componentEvent$$183$$.$stopBubbling$() : $AdfDhtmlCommandTrainStopPeer$$.$superclass$.$HandleComponentClick$.call(this, $componentEvent$$183$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandTrainStopPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlCommandTrainStopPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlCommandTrainStopPeer$$.prototype.$_isSelected$ = function $$AdfDhtmlCommandTrainStopPeer$$$$$_isSelected$$() {
  var $firstChild$$5_rootElement$$50$$ = this.$getDomElement$(), $component$$1027$$ = this.$getComponent$();
  return $AdfDhtmlCommandTrainStopPeer$$.$_isTrain$($component$$1027$$) && ($firstChild$$5_rootElement$$50$$ = $AdfDhtmlCommandTrainStopPeer$$.$_isVerticalTrain$($component$$1027$$) ? $AdfDomUtils$$.$getFirstElementByTagName$($firstChild$$5_rootElement$$50$$, "TABLE") : $AdfDomUtils$$.$getFirstChildElement$($firstChild$$5_rootElement$$50$$)) ? $AdfDomUtils$$.$containsCSSClassName$($firstChild$$5_rootElement$$50$$, $AdfRichUIPeer$$.$SELECTED_STYLECLASS$) : !1;
};
$AdfDhtmlCommandTrainStopPeer$$.$_isTrain$ = function $$AdfDhtmlCommandTrainStopPeer$$$$_isTrain$$($component$$1028_parent$$32$$) {
  $component$$1028_parent$$32$$ = $component$$1028_parent$$32$$.getParent();
  return $AdfAgent$$.$getAgent$().$getDomWindow$().AdfRichTrain && $component$$1028_parent$$32$$ instanceof AdfRichTrain ? !0 : !1;
};
$AdfDhtmlCommandTrainStopPeer$$.$_isVerticalTrain$ = function $$AdfDhtmlCommandTrainStopPeer$$$$_isVerticalTrain$$($component$$1029$$) {
  return "vertical" == $component$$1029$$.getParent().getLayout() ? !0 : !1;
};
